package com.jeequan.jeepay.core.interfaces.paychannel.alipaybiz;

import com.jeequan.jeepay.core.entity.MchStore;
import com.jeequan.jeepay.core.model.params.alipay.AlipayIsvParams;

/*
* 蚂蚁店铺接口
*
* @author zx
*
* @date 2023/3/14 15:13
*/
public interface IAlipayShopService {

    /** 查询店铺详情 **/
    MchStore query(AlipayIsvParams alipayIsvParams, String storeId, String ipRoleId);

    /** 创建店铺 **/
    MchStore create(AlipayIsvParams alipayIsvParams, MchStore mchStore, String ipRoleId);

    /** 修改店铺 **/
    MchStore update(AlipayIsvParams left, MchStore mchStore);

    /** 关闭店铺 **/
    void close(AlipayIsvParams alipayIsvParams, String alipayShopId);

    /** 根据申请单查询店铺创建结果 **/
    MchStore createResultQuery(AlipayIsvParams alipayIsvParams, String orderId);
}
